##Features
#~~~~~ brambles ~~~~~
execute in overworld as @e at @s positioned as @s if block ~ ~ ~ light[level=0, waterlogged=false] if predicate brambles run damage @s 1 sweet_berry_bush

##Biomes
#~~~~~ obsidian_field ~~~~~
execute as @e[type=sheep] at @s positioned as @s if biome ~ ~ ~ obsidian_field run data merge entity @s {Color:15}

#~~~~~ illusion ~~~~~
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:cyan_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:lime_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:red_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:blue_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
#execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:purple_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break

#execute as @e[tag=break, tag=!fake] positioned as @s at @s run particle block cyan_stained_glass ~ ~ ~ 0.32 0.32 0.32 1 16 normal
execute as @e[tag=break, tag=!fake] positioned as @s at @s run playsound block.amethyst_block.break block @p ~ ~ ~ 10 1
execute as @e[tag=break, tag=!fake] positioned as @s at @s run tag @s add fake

##Mobs
#~~~~~ bugs ~~~~~
execute as @e[type=vex, tag=!swarm, tag=!zanzara, tag=!lucciola] at @s positioned as @s unless biome ~ ~ ~ dark_forest run tag @s add swarm
execute as @e[tag=swarm] at @s positioned as @s if predicate day run summon vex ~ ~ ~ {Tags: ["zanzara", "killer"],Health:1,Silent:1,HandItems:[{},{}]}
execute as @e[tag=swarm] at @s positioned as @s if predicate night run summon vex ~ ~ ~ {Tags: ["lucciola", "killer"],Health:1,Silent:1,HandItems:[{},{}]}

execute as @e[tag=swarm] at @s positioned as @s if score @s swarm matches 3.. run kill @s
execute in overworld as @e[tag=killer] at @s positioned as @s run kill @e[type=item, limit=4, distance=..5]
execute as @e[tag=killer] at @s positioned as @s run scoreboard players add @e[tag=swarm, distance=..7] swarm 1
execute in overworld as @e[tag=killer] at @s positioned as @s run tag @s remove killer

#~~~~~ mosquitoes
#execute in overworld as @e[type=vex, tag=!zanzara, tag=!lucciola] at @s positioned as @s unless biome ~ ~ ~ dark_forest if predicate day run tag @s add zanzara
#execute as @e[tag=zanzara] at @s positioned as @s run data merge entity @s {Health:1,Silent:1,HandItems:[{},{}]}

execute as @e[tag=zanzara] at @s positioned as @s run effect give @s weakness 999 10 false
execute as @e[tag=zanzara] at @s positioned as @s run effect give @s invisibility 999 10 true

execute as @e[tag=zanzara] at @s positioned as @s run particle dust 0 0 0 1 ~ ~ ~ 0 0 0 100 1
execute as @e[tag=zanzara] at @s run playsound minecraft:entity.bee.loop hostile @p[distance=..5] ~ ~ ~ 0.03 2

execute as @e[tag=zanzara] at @s positioned as @s run damage @e[distance=1..2,limit=1] 1 minecraft:sting
# /playsound minecraft:entity.bee.loop ambient SUPREMUS_04 ~ ~ ~ 10 2

# /playsound minecraft:entity.bee.death ambient SUPREMUS_04 ~ ~ ~ 10 0.9   #grd
# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 10 1   #zap_1
# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 10 1   #zap_2
# /playsound minecraft:entity.guardian.ambient_land ambient SUPREMUS_04 ~ ~ ~ 10 1   ##zzzz
# /playsound minecraft:entity.guardian.attack ambient SUPREMUS_04 ~ ~ ~ 10 1.6   ##tv band


#~~~~~ fireflies
#execute in overworld as @e[type=vex, tag=!zanzara, tag=!lucciola] at @s positioned as @s unless biome ~ ~ ~ dark_forest if predicate night run tag @s add lucciola
#execute in overworld if predicate night run tag @e[type=vex, tag=!zanzara, tag=!lucciola] add lucciola
#execute as @e[tag=lucciola] at @s positioned as @s run data merge entity @s {HandItems:[{},{}]}
#execute as @e[tag=lucciola] at @s positioned as @s run data merge entity @s {Health:1,Silent:1}

execute as @e[tag=lucciola] at @s positioned as @s run effect give @s weakness 999 10 true
execute as @e[tag=lucciola] at @s positioned as @s run effect give @s invisibility 999 10 true

execute as @e[tag=lucciola] at @s positioned as @s run particle dust 1 1 0.33 1 ~ ~ ~ 0 0 0 100 3
execute as @e[tag=lucciola] at @s run playsound minecraft:entity.bee.loop_aggressive hostile @p[distance=1..1.3] ~ ~ ~ 0.05 2

execute as @e[tag=lucciola] at @s positioned as @s run scoreboard players add @s led 1
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 0..9 if block ~ ~ ~ air run setblock ~ ~ ~ light[level=15,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 9..16 if block ~ ~ ~ air run setblock ~ ~ ~ light[level=11,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 16..24 if block ~ ~ ~ air run setblock ~ ~ ~ light[level=13,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 24..32 if block ~ ~ ~ air run setblock ~ ~ ~ light[level=9,waterlogged=false]

execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~-1 ~1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~-1 ~-1 ~1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~1 ~-1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~1 ~1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~-1 ~1 ~1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~1 ~-1 ~1 minecraft:air replace minecraft:light

execute as @e[tag=lucciola] at @s if score @s led matches 32.. run scoreboard players set @s led 0

# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 0.05 2

#~~~~~ desert_crocodile ~~~~~
execute as @e[type=silverfish] at @s positioned as @s if biome ~ ~ ~ desert run tag @s add crocodile
execute as @e[tag=crocodile] at @s positioned as @s run data merge entity @s {Silent:1}
effect give @e[tag=crocodile] minecraft:invisibility infinite 0 true

execute as @e[tag=crocodile] at @s positioned as @s unless data entity @s {Motion:[0.0d, -0.0784000015258789d, 0.0d]} run particle block sand ~ ~ ~ 0 0 0 0 1 normal

execute as @e[tag=crocodile] at @s positioned as @s if block ~ ~-1 ~ #sand run scoreboard players add @s crocodile_sound 1
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 12..15 run playsound minecraft:block.sand.break hostile @p[distance=..5] ~ ~ ~ 1 0.7
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 15.. run scoreboard players set @s crocodile_sound 0


execute as @e[type=minecraft:silverfish, tag=crocodile] positioned as @s at @p[distance=1.6..2] unless entity @e[type=minecraft:evoker_fangs,distance=..2] run summon minecraft:evoker_fangs
execute as @e[type=minecraft:silverfish, tag=crocodile] at @s positioned as @s run kill @e[type=minecraft:evoker_fangs, distance=..1]

#~~~~~ wind_skeleton ~~~~~
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run tag @s add wind
execute as @e[type=skeleton] at @s positioned as @s if dimension overworld if block ~ ~-16 ~ air if block ~ ~16 ~ air if block ~16 ~-1 ~ air if block ~-16 ~-1 ~ air if block ~ ~-1 ~16 air if block ~ ~-1 ~-16 air run data merge entity @s {ArmorItems:[{Count:1,id:"leather_boots",tag:{display:{color:6192150},Enchantments:[{id:"feather_falling",lvl:4}]}},{},{},{Count:1,id:"leather_helmet",tag:{display:{color:6192150}}}],ArmorDropChances:[0.3f,0.0f,0.0f,0.0f]}
execute as @e[tag=wind] at @s positioned as @s if block ~ ~-1 ~ air run effect give @s slow_falling 1 0 false

#~~~~~ golden_zombie ~~~~~
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ deepslate_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-1 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-2 ~ nether_gold_ore run tag @s add husk
execute as @e[type=zombie] at @s positioned as @s if block ~ ~-3 ~ nether_gold_ore run tag @s add husk

execute as @e[tag=husk] at @s positioned as @s run summon husk ~ ~ ~ {Tags: ["golden"],HandItems:[{Count:1,id:"golden_pickaxe",tag:{Enchantments:[{id:"fire_aspect",lvl:2}]}},{}],ArmorItems:[{},{},{Count:1,id:"golden_chestplate"},{}],ArmorDropChances:[0.0f,0.0f,0.1f,0.0f]}
execute as @e[tag=husk] at @s positioned as @s run kill @s
execute as @e[tag=golden] at @s positioned as @s run kill @e[type=item, limit=4, distance=..2]
execute as @e[tag=golden] at @s positioned as @s run tag @s remove golden